Ad Squads
An Ad Squad is owned by a Campaign and contains one or more Ads.
Attributes
| Attribute | Description | Required | Possible Values |
|---|---|---|---|
| campaign_id | Campaign ID | R | |
| bid_micro | Max Bid (micro-currency) | R | bid_micro is currency specific see Currency Specific bids for Mininum/Maximum value |
| billing_event | Billing Event | R | IMPRESSION |
| brand_safety_config | Brand Safety Inventory Filter | O | See Brand Safety Config section |
| child_ad_type | Indicates what Ad type the Ad Squad uses, if not set this value will be set automatically once an Ad has been added under the Ad Squad, at that point the attribute becomes immutable | O | SNAP_AD, LONGFORM_VIDEO, APP_INSTALL, REMOTE_WEBPAGE, DEEP_LINK, STORY, AD_TO_LENS, AD_TO_CALL, AD_TO_MESSAGE, FILTER, LENS, LENS_WEB_VIEW, LENS_APP_INSTALL, LENS_DEEP_LINK, LENS_LONGFORM_VIDEO, COLLECTION |
| forced_view_setting | This value indicates whether the Ad Squad Contains Creatives that can serve as a Commercial, the value can be FULL_DURATION or SIX_SECONDS, the Creatives within the Ad Squad can be freely mixed and does not need to match the Ad Squad value of forced_view_eligibility. | O | FULL_DURATION, SIX_SECONDS, NONE |
| daily_budget_micro | Daily Budget (micro-currency) | one of daily_budget_micro or lifetime_budget_micro must be set | Minimum value 5000000 across all supported currencies |
| lifetime_budget_micro | Lifetime budget (micro-currency) | one of lifetime_budget_micro or daily_budget_micro must be set | |
| end_time | End time | O | |
| name | Ad Squad name max length: 375 characters | R | |
| optimization_goal | Optimization Goal | R | IMPRESSIONS, SWIPES, APP_INSTALLS, VIDEO_VIEWS, VIDEO_VIEWS_15_SEC, USES, STORY_OPENS, PIXEL_PAGE_VIEW, PIXEL_ADD_TO_CART, LANDING_PAGE_VIEW, LEAD_FORM_SUBMISSIONS, PIXEL_PURCHASE, PIXEL_SIGNUP, APP_ADD_TO_CART, APP_PURCHASE, APP_SIGNUP, see Squad Optimization Goals |
| conversion_window | Delivery optimisation window | O | SWIPE_28DAY_VIEW_1DAY (default), SWIPE_7DAY , see Delivery Optimization Windows |
| placement_v2 | Placement | R | Json object containing advanced placement options See placement_v2 |
| start_time | Start time | O | |
| status | Ad Squad status | O | ACTIVE, PAUSED |
| story_ad_creative_type | Indicates the type of Creative used in Dynamic Story Ads, required when using Dynamic Story Ads | O | APP_INSTALL, WEB_VIEW, DEEP_LINK |
| targeting | Targeting spec | R | |
| type | Ad Squad Type | R | SNAP_ADS, LENS, FILTER |
| cap_and_exclusion_config | The frequency cap and exclusion spec | O | If this is set and the Ad Squad is inside of an Auction campaign, Multi-format Delivery cannot be used and all ads in the ad squad must be of the same ad type. Read the specifications for frequency caps |
| ad_scheduling_config | The schedule for running ads | O | |
| bid_strategy | Bidding strategy for this Ad Squad | R | AUTO_BID, LOWEST_COST_WITH_MAX_BID, MIN_ROAS*, TARGET_COST, see bid_strategy |
| roas_value_micro* | The desired ROAS used with the MIN_ROAS BidStrategy | R if BidStrategy = MIN_ROAS | Minimum value 10000 , Maximum value 100000000 |
| pixel_id | Pixel to be associated with the Ad Squad | O | |
| measurement_provider_names | approved measurement provider | O | DOUBLEVERIFY |
| reach_and_frequency_status** | Status of the reach and frequency booking | R | Must be set to PENDING which automatically updates to ACTIVE or FAILED after booking |
| delivery_constraint | Type of delivery | R | DAILY_BUDGET (when using daily_budget_micro), LIFETIME_BUDGET (when using lifetime_budget_micro), REACH_AND_FREQUENCY** |
| reach_goal** | Reach goal as specified in the Forecasting request | R | Must match the value in the forecasting request |
| impression_goal** | Reach goal as specified in the Forecasting request | R | Must match the value in the forecasting request |
| pacing_type | Type of pacing | O | STANDARD (default), ACCELERATED |
| delivery_status | Delivery status | Read-only | See Delivery status |
| event_sources | Snap App Id to be associated with the Ad Squad | O/Required when using SKAdnetwork enrollment | Availble for Optimization Goals APP_REENGAGE_OPEN / APP_REENGAGE_PURCHASE and Dynamic Product Ads when using APP_INSTALL / DEEP_LINK |
| skadnetwork_properties.status | SKAdnetwork enrollment status | Read-only | ENROLLED, NEVER_ENROLLED, WITHDRAWN |
| deleted | Indicates whether the entity has been deleted or not, only shown when using the parameter read_deleted_entities | Read-only | true |
| separated_types | Indicates if a targeting spec type has been separated into the new "targeting_spec" entity. | Read-only | "separated_types": ["GEO"] |
| campaign_budget_optimization_properties | This attribute can only be used when the Campaign is using Smart Budgets . | O | See Smart Budgets |
* The MIN_ROAS bid_strategy value and roas_value_micro were deprecated on 10 February 2025
** See Reach And Frequency
Brand Safety Config
| Attribute | Description | Required | Possible values |
|---|---|---|---|
| brand_safety_config | Defines where ads are placed among Snapchat content. This attribute is mutable. | Optional | “inventory_option”:”FULL_INVENTORY” , “inventory_option”:”LIMITED_INVENTORY” |
Validations - placement_v2
The brand_safety_config is applied as per the below table.
| Brand safety availability | placement_v2.snapchat_positions | placement_v2.config | placement_v2.platforms | Snap Ads Manager placement naming |
|---|---|---|---|---|
| FULL_INVENTORY, LIMITED_INVENTORY | PUBLIC_STORIES_INSTREAM | custom | snapchat | Within content - Creator Stories |
| FULL_INVENTORY, LIMITED_INVENTORY | INTERSTITIAL_CONTENT | custom | snapchat | Between content - Publisher and Creator stories |
| FULL_INVENTORY, LIMITED_INVENTORY | INTERSTITIAL_SPOTLIGHT | custom | snapchat | Between content - Spotlight |
| FULL_INVENTORY | INTERSTITIAL_USER | custom | snapchat | Between content - User Stories |
| FULL_INVENTORY | INSTREAM | custom | snapchat | Within content - Publisher stories |
| FULL_INVENTORY | FEED | custom | snapchat | Discover Feed |
| FULL_INVENTORY | CAMERA | custom | snapchat | Camera |
| FULL_INVENTORY, LIMITED_INVENTORY | - | automatic | - | Automatic placement - Runs ads across all of Snapchat |
Behaviour - Brand Safety Config
| Scenario | Value | Behaviour |
|---|---|---|
| inventory_option is set to FULL_INVENTORY | brand_safety_config:{“inventory_option”: “FULL_INVENTORY”} | Shows ads near any Snapchat content to maximise reach. Content still adheres to Snap's Community Guidelines and content moderation rules. |
| inventory_option is set to LIMITED_INVENTORY | brand_safety_config:{“inventory_option”: “LIMITED_INVENTORY”} | Shows ads near content that has passed additional moderation filters. This may decrease reach and increase costs. Only available for Creator stories. |
| inventory_option is not defined on creation | - | Same as FULL_INVENTORY |
Example request
This request creates an Ad Squad with brand_safety_config:{“inventory_option”: “LIMITED_INVENTORY”}
cURL -X POST \
-H 'Authorization: Bearer <ACCESS_TOKEN>' \
-H 'Content-Type: application/json' \
'https://adsapi.snapchat.com/v1/campaigns/127c9fa9-8059-4a45-b81a-59125053b740/adsquads' \
-D '{
"adsquads": [
{
"name": "Badger Tunneling Campaign with Brand Safety LIMITED",
"status": "ACTIVE",
"campaign_id": "127c9fa9-8059-4a45-b81a-59125053b740",
"type": "SNAP_ADS",
"targeting": {
"regulated_content": false,
"demographics": [
{
"min_age": "18"
}
],
"geos": [
{
"country_code": "us"
}
]
},
"targeting_reach_status": "VALID",
"placement_v2": {
"config": "AUTOMATIC"
},
"billing_event": "IMPRESSION",
"bid_micro": 20000,
"auto_bid": false,
"target_bid": false,
"bid_strategy": "LOWEST_COST_WITH_MAX_BID",
"lifetime_budget_micro": 100000000000,
"start_time": "2023-11-28T14:35:55.000Z",
"end_time": "2024-02-22T14:35:55.000Z",
"optimization_goal": "IMPRESSIONS",
"pixel_id": "7eda10b7-a5fe-4ac6-80f4-417e68d748fb",
"pacing_type": "STANDARD",
"brand_safety_config": {
"inventory_option": "LIMITED_INVENTORY"
}
}
]
}
Example response
{
"request_status": "SUCCESS",
"request_id": "fd5a9158-3408-4ee2-8441-44db3b841418",
"adsquads": [
{
"sub_request_status": "SUCCESS",
"adsquad": {
"id": "d6317370-b7ef-4a16-9a9b-a194260e728d",
"updated_at": "2024-09-12T10:19:59.008Z",
"created_at": "2024-09-12T10:19:59.008Z",
"name": "Badger Tunneling Campaign with Brand Safety LIMITED",
"status": "ACTIVE",
"campaign_id": "127c9fa9-8059-4a45-b81a-59125053b740",
"type": "SNAP_ADS",
"targeting": {
"regulated_content": false,
"demographics": [
{
"min_age": "18"
}
],
"geos": [
{
"country_code": "us"
}
],
"enable_targeting_expansion": true,
"auto_expansion_options": {
"interest_expansion_option": {
"enabled": true
},
"custom_audience_expansion_option": {
"enabled": true
}
}
},
"targeting_reach_status": "VALID",
"placement_v2": {
"config": "AUTOMATIC"
},
"billing_event": "IMPRESSION",
"bid_micro": 20000,
"auto_bid": false,
"target_bid": false,
"bid_strategy": "LOWEST_COST_WITH_MAX_BID",
"lifetime_budget_micro": 100000000000,
"start_time": "2023-11-28T14:35:55.000Z",
"end_time": "2024-02-22T14:35:55.000Z",
"optimization_goal": "IMPRESSIONS",
"pixel_id": "7eda10b7-a5fe-4ac6-80f4-417e68d748fb",
"delivery_constraint": "LIFETIME_BUDGET",
"pacing_type": "STANDARD",
"creation_state": "PUBLISHED",
"delivery_status": [
"INVALID_END_TIME",
"INVALID_EFFECTIVE_INVALID"
],
"skadnetwork_properties": {
"status": "NEVER_ENROLLED"
},
"brand_safety_config": {
"inventory_option": "LIMITED_INVENTORY"
}
}
}
]
}
Currency specific bids
The minimum/maximum value of bid_micro is determined by the currency attribute which is set on the Ad Account entity.
All values listed are in micro-currency.
| ISO code | Currency | Minimum (micro-currency) | Maximum (micro-currency) |
|---|---|---|---|
| AED | UAE Dirham | 10,000 | 500,000,000 |
| AUD | Australian Dollar | 10,000 | 100,000,000 |
| BAM | Bosnian Mark | 10,000 | 100,000,000 |
| CAD | Canadian Dollar | 10,000 | 100,000,000 |
| CHF | Swiss Franc | 10,000 | 100,000,000 |
| CNY | Chinese Yuan | 10,000 | 500,000,000 |
| DKK | Danish Krone | 10,000 | 500,000,000 |
| EUR | Euro | 10,000 | 100,000,000 |
| GBP | Pound Sterling | 10,000 | 100,000,000 |
| HKD | Hong Kong Dollar | 10,000 | 500,000,000 |
| ILS | Israeli New Shekel | 10,000 | 500,000,000 |
| INR | Indian Rupee | 10,000 | 500,000,000 |
| KWD | Kuwaiti Dinar | 10,000 | 100,000,000 |
| NOK | Norwegian Krone | 10,000 | 500,000,000 |
| QAR | Qatari Rial | 10,000 | 500,000,000 |
| SAR | Saudi Riyal | 10,000 | 500,000,000 |
| SEK | Swedish Krona | 10,000 | 500,000,000 |
| USD | US Dollar | 10,000 | 500,000,000 |
Multi-Format Delivery
It is possible to combine Ads of different types in the same Ad Squad with some restrictions.
- They must have the same Goal-based Bidding optimization goal.
- Dynamic Product Ads cannot be mixed with non-dynamic ad types.
- Commercials cannot mixed with non-commercial ads.
- Commercials using
forced_view_eligibilitywith the valueFULL_DURATIONorSIX_SECONDScan mix in the same Ad Squad. - Lens ads cannot be mixed with non-lens ad types.
- SKAdNetwork enrolled Ad Squads support multi-format delivery.
- Ad Squads that contain ads of multiple formats do not support frequency capping using the
cap_and_exclusion_configproperty if they are inside of Auction campaigns.
The rules governing Multi-Format Delivery are described further in the following sections.
Eligible Ad Squad Optimization Goals
If you use one of the following Goal-based Bidding optimization goals, you will be able to put multiple types of ads in an Ad Squad.
IMPRESSIONSSWIPESAPP_INSTALLSPIXEL_PURCHASEPIXEL_SIGNUPAPP_PURCHASEAPP_REENGAGE_OPENAPP_REENGAGE_PURCHASE
Supported Ad Combinations
The following table shows which ad types can be combined in the same Ad Squad.
| Ad Name | Ad Type | Supports Multi-Format Delivery? | Notes |
|---|---|---|---|
| Snap Ads (attachment), Story Ad, Collection Ad | SNAP_AD, APP_INSTALL, REMOTE_WEBPAGE, DEEP_LINK, AD_TO_LENS, AD_TO_CALL, AD_TO_MESSAGE, LEAD_GEN, STORY, COLLECTION | YES | Snap Ads with different attachment types, Story Ads and Collection Ads can be mixed in the same Ad Squad. Story Ads run in between stories (no thumbnail) when targeted at INTERSTITIAL_USER or INTERSTITIAL_CONTENT |
| Dynamic Snap Ad | SNAP_AD, STORY, COLLECTION | YES | Dynamic Product Ads can be mixed with each other, cannot be mixed with non-dynamic Ad types. DPA Ad are Creatives with render_type DYNAMIC |
| Commercial | SNAP_AD, REMOTE_WEBPAGE, AD_TO_LENS | YES | Commercials can be mixed with each other, cannot be mixed with non-commercials. Commercials are Creatives with forced_view_eligibility set to FULL_DURATION or SIX_SECONDS and targeted at Premium Content Bundles. |
| Lens | LENS, LENS_WEB_VIEW, LENS_APP_INSTALL, LENS_DEEP_LINK | YES | Lenses cannot be mixed with non-Lens Ad types. |
| SKAdnetwork enrolled Ads | SNAP_AD, APP_INSTALL, DEEP_LINK, COLLECTION, STORY, REMOTE_WEBPAGE | YES | SKAdnetwork enrolled Ad Squad |
List Ad Types in an Ad Squad
curl -X GET \
-H 'Authorization: Bearer meowmeowmeow' \
'https://adsapi.snapchat.com/v1/adsquads/67fb5af9-b95f-413e-a998-130b4b58caad/ad_squad_ad_restrictions'
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "6543215600ff04cc8908e19ab30001737e616473617069736300016275696c642d62333561306232372d312d3533332d3000123123",
"ad_squad_ad_restrictions": [
{
"sub_request_status": "SUCCESS",
"ad_squad_ad_restrictions": {
"id": "567890f9-b95f-413e-a998-130b4b765432",
"updated_at": "2022-04-15T19:10:19.220Z",
"created_at": "2021-12-07T01:18:19.226Z",
"ad_types": {
"SNAP_AD": 3,
"REMOTE_WEBPAGE": 1,
"STORY": 1
}
}
}
]
}
This API request fetches a summary of the Ad types currently in the Ad Squad. The list is found in the response's ad_types attribute.
HTTP Request
GET https://adsapi.snapchat.com/v1/adsquads/{{ad_squad_id}}/ad_squad_ad_restrictions
Parameters
| Parameter | Possible values | Description |
|---|---|---|
| ad_squad_id | Ad Squad |
Multi-format Ad Squad Example 1
This is an example of an Ad Squad that contains a SNAP_AD, a STORY Ad, and a REMOTE_WEBSITE ad.
Example output from listing the ads in the ad squad
{
"request_status": "SUCCESS",
"request_id": "625f4f7500ff054633669e73350001737e616473617069736300016275696c642d66316366613233612d312d353312345697800110",
"paging": {},
"ads": [
{
"sub_request_status": "SUCCESS",
"ad": {
"id": "2b3b55f3-ddf6-43e8-9f76-c74d94db5e2a",
"updated_at": "2022-04-19T07:53:07.943Z",
"created_at": "2022-04-15T01:03:28.845Z",
"effective_status": "PAUSED",
"name": "My Snap Ad",
"ad_squad_id": "654321ab-b95f-413e-a998-12345678xyza",
"creative_id": "ee9a155d-0883-4888-aa25-3d7375yu5432",
"status": "ACTIVE",
"type": "SNAP_AD",
"render_type": "STATIC",
...
[[snip]]
...
}
},
{
"sub_request_status": "SUCCESS",
"ad": {
"id": "3fbc4a8d-61f1-4a50-8327-b68a4d7042d6",
"updated_at": "2022-04-19T07:40:06.541Z",
"created_at": "2022-04-15T01:01:55.315Z",
"effective_status": "PAUSED",
"name": "My Story Ad",
"ad_squad_id": "654321ab-b95f-413e-a998-12345678xyza",
"creative_id": "f2afa2cd-799c-4848-8f71-192830jkf1211",
"status": "ACTIVE",
"type": "STORY",
"render_type": "STATIC",
...
[[snip]]
...
}
},
{
"sub_request_status": "SUCCESS",
"ad": {
"id": "7976e781-ddc1-4f4f-80e4-82d91d3d596e",
"updated_at": "2022-04-19T08:14:47.629Z",
"created_at": "2022-04-15T19:10:19.174Z",
"effective_status": "PAUSED",
"name": "My Website Ad",
"ad_squad_id": "654321ab-b95f-413e-a998-12345678xyza",
"creative_id": "6fcc0703-c3e5-47ad-bf00-js82ks9102ec",
"status": "ACTIVE",
"type": "REMOTE_WEBPAGE",
"render_type": "STATIC",
...
[[snip]]
...
}
}
]
}
Multi-format Ad Squad Example 2
This is an example of an Ad Squad that contains a LENS ad and a LENS_REMOTE_WEBPAGE ad.
Example output from listing the ads in the ad squad
{
"request_status": "SUCCESS",
"request_id": "6yh2781920ff01d69c4f55568e0001737e616473617069736300016275696c642d66316366613233612d312d3533342d392k287620",
"paging": {},
"ads": [
{
"sub_request_status": "SUCCESS",
"ad": {
"id": "87654231-a083-48bd-bda1-776b3944308e",
"updated_at": "2022-04-16T07:06:46.062Z",
"created_at": "2022-04-15T21:52:22.942Z",
"name": "test lens ad no attachment",
"ad_squad_id": "6543610c-9e8e-4b28-86b8-40acc2f4abcd",
"creative_id": "ed2eaf37-515d-4a54-bf6b-113j827d6543",
"status": "PAUSED",
"type": "LENS",
"render_type": "STATIC"
...
[[snip]]
...
}
},
{
"sub_request_status": "SUCCESS",
"ad": {
"id": "12349876-cbad-42da-8f57-091416cd75ed",
"updated_at": "2022-04-20T00:53:59.890Z",
"created_at": "2022-04-20T00:53:59.545Z",
"name": "test lens remote webpage",
"ad_squad_id": "6543610c-9e8e-4b28-86b8-40acc2f4abcd",
"creative_id": "7684b71d-ec74-4de6-b1bd-c32abcdh7usi",
"status": "ACTIVE",
"type": "LENS_REMOTE_WEBPAGE",
"render_type": "STATIC",
...
[[snip]]
...
}
}
]
}
Event sources
Example request setting the
event_sourcesto Snap App ID
curl -X PUT \
-H "Authorization: Bearer meowmeowmeow" \
-H "Content-Type: application/json" \
-d '{"adsquads": [{"id": "7e52b0f4-a3fc-46f2-9a33-f03d71c55047","name": "Badger Supplies Ad Squad","status": "ACTIVE","campaign_id": "7b15f643-3052-4eb3-b5e1-09fa1ce0116a","type": "SNAP_ADS","targeting": {"regulated_content": false,"geos": [{"country_code": "uk"}],"devices": [{"os_type": "iOS"}],"auto_expansion_options":{"interest_expansion_option":{"enabled": true},"custom_audience_expansion_option":{"enabled": true}}},"placement_v2": {"config": "AUTOMATIC"},"billing_event": "IMPRESSION","bid_strategy": "AUTO_BID","daily_budget_micro": 50000000,"start_time": "2021-11-01T17:12:49.707Z","end_time": "2021-12-01T17:12:49.707Z","optimization_goal": "SWIPES","event_sources": {"MOBILE_APP": ["8b5b83ec-c593-4a64-9c6d-a0eb9da0edb8"]}}]}'
https://adsapi.snapchat.com/v1/campaigns/88539b6b-93f2-4b3a-8181-ca869cb45088/adsquads
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "6011886c00ff09fe1978d146130001737e616473617069736300016275696c642d65386534326330362d312d3431372d3000010113",
"adsquads": [
{
"sub_request_status": "SUCCESS",
"adsquad": {
"id": "7e52b0f4-a3fc-46f2-9a33-f03d71c55047",
"updated_at": "2021-01-27T15:36:13.676Z",
"created_at": "2020-11-11T10:24:46.334Z",
"name": "Badger Supplies Ad Squad",
"status": "ACTIVE",
"campaign_id": "7b15f643-3052-4eb3-b5e1-09fa1ce0116a",
"type": "SNAP_ADS",
"targeting": {
"regulated_content": false,
"geos": [
{
"country_code": "uk"
}
],
"devices": [
{
"os_type": "iOS"
}
],
"auto_expansion_options": {
"interest_expansion_option": {
"enabled": true
},
"custom_audience_expansion_option": {
"enabled": true
}
}
},
"targeting_reach_status": "VALID",
"placement_v2": {
"config": "AUTOMATIC"
},
"billing_event": "IMPRESSION",
"auto_bid": true,
"target_bid": false,
"bid_strategy": "AUTO_BID",
"daily_budget_micro": 50000000,
"start_time": "2021-11-01T17:12:49.707Z",
"end_time": "2021-12-01T17:12:49.707Z",
"optimization_goal": "SWIPES",
"event_sources": {
"MOBILE_APP": ["8b5b83ec-c593-4a64-9c6d-a0eb9da0edb8"]
},
"delivery_constraint": "DAILY_BUDGET",
"pacing_type": "STANDARD",
"creation_state": "PUBLISHED"
}
}
]
}
The event_sources attribute defines a Snap App ID which is associated with the Ad Squad, events triggered by the App will be eligible for conversions and can also used to set up Mobile custom audiences. It is recommended that you add event_sources to any Ad Squad using the optimization goals APP_INSTALLS or DEEP_LINK.
The event_sources attribute is a prerequisite for App Install state targeting.
SKAdNetwork tracking
SKAdNetwork Enrollment
As of December 2025 it's possible to define SKAd opt-in at the Campaign level via the mobile_app_properties, this will enforce the same settings across all the Ad Squads created for that Campaign.
- It's only possible to opt an Ad Squad into SKAd tracking at the point of creation (see existing example)
- You can withdraw an opted-in Ad Squad from SKAd tracking by pausing it and detaching the Apple Campaign ID using the newly introduced
ecid_enroll_action, this will free up the Campaign ID for use in a different Ad Squad (see new example) - You can re-enable an Ad Squad into SKAd tracking by updating the
ecid_enroll_actionto attach an Apple Campaign ID and unpausing the Ad Squad (see new example). - We have deprecated the ability to opt an Ad Squad into SKAdnetwork tracking, and opting an Ad Squad out of SKAdnetwork tracking by editing it.
- We provide two methods to aid in keeping track of available Apple Campaign IDs, a method that checks if an Apple Campaign ID is available , and a method that lists all Ad Squads that are visible to you that have an Apple Campaign ID attached to them.
SKOverlay activation
The Apple provided SKOverlay needs to be enabled for Ad Squads opted in to SKAdNetwork tracking given a number of conditions relating to the Ad Squad Optimization Goal and the Ad types used by the Ad Squad.
The enable_skoverlay attribute needs to be enabled for any App Install Creatives used by the Ads in the Ad Squad.
| Ad types | Creative type | Render type (read only) |
|---|---|---|
| APP_INSTALL | APP_INSTALL | STATIC, DYNAMIC |
| STORY | COMPOSITE | STATIC, DYNAMIC |
| Optimization Goals | Description |
|---|---|
| APP_INSTALLS | |
| IMPRESSIONS | |
| SWIPES | |
| STORY_OPENS | |
| APP_ADD_TO_CART | |
| APP_PURCHASE | |
| APP_SIGNUP | |
| VIDEO_VIEWS | |
| VIDEO_VIEWS_15_SEC |
SKAdNetwork prerequisites & restrictions
SKAdNetwork prerequisites
Enrolling your Ad Squad into SKAdnetwork attribution has a number of prerequisites:
- A Snap App ID has been set up, the iOS App ID has been added and verified, this can be checked by fetching the App with the Snap App ID and reading the attribute
ios_app_id_verified, read more about the Snap App ID. - A SKAdnetwork Campaign ID is available for the Snap App ID.
- The Ad Squad has the attribute
event_sourcesset to the Snap App ID and is targeting only iOS devices.
SKAdNetwork restrictions
Ad Squads that are enrolled into SKAdNetwork tracking are subject to the following restrictions:
- The Optimization goals (optimization_goal)
APP_REENGAGE_OPENandAPP_REENGAGE_PURCHASEare not available. - The bid strategies (bid_strategy)
MIN_ROASandTARGET_COSTare not available.
SKAdNetwork Campaign ID check
curl "https://adsapi.snapchat.com/v1/mobile_apps/fb5b83ec-c593-4a64-9c6d-a0eb9da0edba/ecid_status"
-H "Authorization: Bearer meowmeowmeow"
Example - checking SKAdnetwork campaign id availability
{
"request_status": "SUCCESS",
"request_id": "6000ff63ae00ff0aca494709c9440001737e616473617069736300016275696c642d32396339353666662d312d3431332d3100010117",
"ecid_status": "AVAILABLE_IN_GRACE_PERIOD"
}
Before you can create an Ad Squad which is opted into SKAdnetwork tracking you should carry out a check to find out the status of available Apple Campaign IDs (ecid) for the App in question. The response will inidcate whether there is a free Apple Campaign ID and the status which it is currently in.
An App is limited to 38 simultaneously live Ad sets that can be measured through the SKAdNetwork, you should allow for a cool-down period between uses of the same Apple Campaign ID to ensure clean reporting of your conversions.
SKAdnetwork Campaign ID status
| ecid_status | Description |
|---|---|
| AVAILABLE | There is at least one available App Campaign ID |
| AVAILABLE_IN_GRACE_PERIOD | An Apple Campaign ID is available but was recently attached to another campaign, some conversions might get attributed to the new Campagin for the next 48 hours |
| NOT_AVAILABLE | There is no available Apple Campaign ID |
HTTP Request
GET https://adsapi.snapchat.com/v1/mobile_apps/{snap_app_id}/ecid_status
Parameters
| Parameter | Possible values | Description |
|---|---|---|
| snap_app_id | Snap App ID |
SKAdnetwork enrollment
If all the prerequisites are met an Ad Squad can be enrolled into SKAdnetwork tracking, this can happen by creating a new Ad Squad that is enrolled on creation.
| Attribute | Description | Possible Values |
|---|---|---|
| placement_v2 | Placement for the Ads | Placement V2 |
SKAdnetwork AdSquad ecid status check
curl "https://adsapi.snapchat.com/v1/mobile_apps/c1e6e929-acec-466f-b023-852b8cacc18f/skadnetwork_adsquads" \
-H "Authorization: Bearer meowmeowmeow"
Example - checking all AdSquads currently assigned an Apple Campaign ID
{
"request_status": "SUCCESS",
"request_id": "62730c8b00ff0c935616bdb0930001737e7465616d6b6f363139000161646d616e616765722d6170693a776e75636b6f6c737465737400010154",
"ad_squads": [
{
"ad_squad_id": "2b985a73-eef7-4532-a64c-4b5b898666aa",
"ad_squad_name": "United States, All Genders, All Ages",
"ad_squad_status": "ACTIVE",
"ecid_status": "NOT_AVAILABLE",
"ad_account_id": "1703100d-cc15-4857-b8bf-dfb590f33999"
},
{
"ad_squad_id": "7fde64a5-936c-4ca8-b841-6d865b4ee929",
"ad_squad_name": "United States, All Genders, All Ages",
"ad_squad_status": "ACTIVE",
"ecid_status": "NOT_AVAILABLE",
"ad_account_id": "1703100d-cc15-4857-b8bf-dfb590f33999"
},
{
"ad_squad_id": "75a5de36-bcc0-4eae-a440-495e3b335d1b",
"ad_squad_name": "United States, All Genders, All Ages - a",
"ad_squad_status": "PAUSED",
"ecid_status": "AVAILABLE_IN_GRACE_PERIOD",
"ad_account_id": "2ac22383-6e7e-4134-83a3-299f1e2a05db"
},
{
"ad_squad_id": "42eb60be-91bd-4a9d-9ed0-806b550638b5",
"ad_squad_name": "United States, All Genders, All Ages",
"ad_squad_status": "ACTIVE",
"ecid_status": "NOT_AVAILABLE",
"ad_account_id": "2ac22383-6e7e-4134-83a3-299f1e2a05db"
},
{
"ad_squad_id": "0cb8390a-4c63-4cae-a6df-c77d1405546e",
"ad_squad_name": "United States, All Genders, All Ages",
"ad_squad_status": "PAUSED",
"ecid_status": "AVAILABLE_IN_GRACE_PERIOD",
"ad_account_id": "1703100d-cc15-4857-b8bf-dfb590f33999"
},
{
"ad_squad_id": "f3827145-dd9e-47d0-b57b-a2ad0eab4068",
"ad_squad_name": "United States, All Genders, All Ages",
"ad_squad_status": "ACTIVE",
"ecid_status": "NOT_AVAILABLE",
"ad_account_id": "1703100d-cc15-4857-b8bf-dfb590f33999"
},
{
"ad_squad_id": "f750048e-a1c4-4b50-979f-4d1fda2ea7d4",
"ad_squad_name": "United States, All Genders, All Ages",
"ad_squad_status": "ACTIVE",
"ecid_status": "NOT_AVAILABLE",
"ad_account_id": "2ac22383-6e7e-4134-83a3-299f1e2a05db"
},
{
"ad_squad_id": "4f579fce-9a65-4ba5-84d6-a475326b1796",
"ad_squad_name": "United States, All Genders, All Ages",
"ad_squad_status": "ACTIVE",
"ecid_status": "NOT_AVAILABLE",
"ad_account_id": "2ac22383-6e7e-4134-83a3-299f1e2a05db"
},
{
"ad_squad_id": "33773acc-c0af-49d7-846f-1d67325a400d",
"ad_squad_name": "United States, All Genders, All Ages - a",
"ad_squad_status": "PAUSED",
"ecid_status": "AVAILABLE_IN_GRACE_PERIOD",
"ad_account_id": "2ac22383-6e7e-4134-83a3-299f1e2a05db"
},
{
"ad_squad_id": "55b3c4c0-2406-4a37-b610-92951bb642a6",
"ad_squad_name": "United States, All Genders, All Ages",
"ad_squad_status": "ACTIVE",
"ecid_status": "NOT_AVAILABLE",
"ad_account_id": "2ac22383-6e7e-4134-83a3-299f1e2a05db"
},
{
"ad_squad_id": "bb5fb714-1d3c-4638-8e54-7320ab5ff81a",
"ad_squad_name": "United States, All Genders, All Ages",
"ad_squad_status": "ACTIVE",
"ecid_status": "NOT_AVAILABLE",
"ad_account_id": "1703100d-cc15-4857-b8bf-dfb590f33999"
}
]
}
This method returns a list of all Ad Squads that are using an Apple Campaign Id (ecid) for the Snap App ID in question.
The response returns the status of that Campaign Id, the status can be either NOT_AVAILABLE or AVAILABLE_IN_GRACE_PERIOD. Since Apple Campaign IDs are platform wide, you may not have permission to see all Ad Squads that are assigned an Apple Campaign ID.
Once an Apple Campaign ID has come out of it’s cool-down period it’s no longer associated with an Ad Squad and is no longer visible in the response of this request.
SKAdnetwork AdSquad status
| ecid_status | Description |
|---|---|
| AVAILABLE_IN_GRACE_PERIOD | The Apple Campaign ID attached to this AdSquad is in a cooldown period, if used some conversions might get attributed to the new Campagin for the next 48 hours |
| NOT_AVAILABLE | This AdSquad has an Apple Campaign ID attached to it |
HTTP Request
GET https://adsapi.snapchat.com/v1/mobile_apps/{{mobile_app_id}}/skadnetwork_adsquads
Parameters
| Parameter | Possible values | Description |
|---|---|---|
| snap_app_id | Snap App ID |
SKAdnetwork example 1
Deprecated- SKAdNetwork enrollement by updating an Ad Squad
Example - Updating an Ad Squad to be enrolled in the SKAdnetwork tracking
curl -X PUT \
-H "Authorization: Bearer meowmeowmeow" \
-H "Content-Type: application/json" \
-d '{"adsquads":[{"id":"1b99bd80-5279-41c1-9d8d-e28875d7e7dd","name":"SKAdNetwork Example - Opt in","status":"ACTIVE","campaign_id":"46fb184a-d371-49f0-8384-ea533cef217a","type":"SNAP_ADS","targeting":{"regulated_content":false,"demographics":[{"min_age":"21","max_age":"24"}],"geos":[{"country_code":"us"}],"devices":[{"os_type":"iOS","os_version_min":"11.3"}]},"targeting_reach_status":"VALID","placement_v2":{"config":"AUTOMATIC"},"billing_event":"IMPRESSION","bid_micro":200000000,"auto_bid":false,"target_bid":false,"bid_strategy":"LOWEST_COST_WITH_MAX_BID","daily_budget_micro":2000000000,"start_time":"2021-08-15T19:16:17.444Z","end_time":"2021-08-19T19:16:17.444Z","optimization_goal":"APP_INSTALLS","event_sources":{"MOBILE_APP":["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]},"skadnetwork_properties":{"enroll_action":"OPT_IN"}}]}'
https://adsapi.snapchat.com/v1/campaigns/46fb184a-d371-49f0-8384-ea533cef217a/adsquads
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "6006dd1400ff04d29d47769a7c0001737e616473617069736300016275696c642d34343839623532342d312d3431342d3000010141",
"adsquads": [
{
"sub_request_status": "SUCCESS",
"adsquad": {
"id": "1b99bd80-5279-41c1-9d8d-e28875d7e7dd",
"updated_at": "2021-01-19T13:22:29.264Z",
"created_at": "2021-01-15T13:46:43.768Z",
"created_by_app_id": "ff503f30-8e94-450b-abac-18e3e25a8da1",
"created_by_user": "82beca53-2402-45f6-bc0f-1244a2cb8936",
"name": "SKAdNetwork Example - Opt in",
"status": "ACTIVE",
"campaign_id": "46fb184a-d371-49f0-8384-ea533cef217a",
"type": "SNAP_ADS",
"targeting": {
"regulated_content": false,
"demographics": [
{
"min_age": "21",
"max_age": "24"
}
],
"geos": [
{
"country_code": "us"
}
],
"devices": [
{
"os_type": "iOS",
"os_version_min": "11.3"
}
]
},
"targeting_reach_status": "VALID",
"placement_v2": {
"config": "AUTOMATIC"
},
"billing_event": "IMPRESSION",
"bid_micro": 200000000,
"auto_bid": false,
"target_bid": false,
"bid_strategy": "LOWEST_COST_WITH_MAX_BID",
"daily_budget_micro": 2000000000,
"start_time": "2021-08-15T19:16:17.444Z",
"end_time": "2021-08-19T19:16:17.444Z",
"optimization_goal": "APP_INSTALLS",
"event_sources": {
"MOBILE_APP": ["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]
},
"delivery_constraint": "DAILY_BUDGET",
"pacing_type": "STANDARD",
"creation_state": "PUBLISHED",
"delivery_status": [
"INVALID_START_TIME",
"INVALID_NOT_EFFECTIVE_ACTIVE",
"INVALID_EFFECTIVE_INVALID"
],
"skadnetwork_properties": {
"status": "ENROLLED"
}
}
}
]
}
By updating the Ad Squad and including the attribute enroll_action with the value OPT_IN the Ad Squad will be enrolled into SKAdnetwork tracking.
skadnetwork_properties":{"enroll_action":"OPT_IN"}}]}
Deprecated - SKAdnetwork example 2 - withdrawal by updating an Ad Squad
SKAdNetwork withdrawal by updating an Ad Squad
Example - Updating an Ad Squad to be withdrawn from the SKAdnetwork tracking
curl -X PUT \
-H "Authorization: Bearer meowmeowmeow" \
-H "Content-Type: application/json" \
-d '{"adsquads":[{"id":"1b99bd80-5279-41c1-9d8d-e28875d7e7dd","name":"SKAdNetwork Example - Opt out","status":"ACTIVE","campaign_id":"46fb184a-d371-49f0-8384-ea533cef217a","type":"SNAP_ADS","targeting":{"regulated_content":false,"demographics":[{"min_age":"21","max_age":"24"}],"geos":[{"country_code":"us"}],"devices":[{"os_type":"iOS","os_version_min":"11.3"}]},"targeting_reach_status":"VALID","placement_v2":{"config":"AUTOMATIC"},"billing_event":"IMPRESSION","bid_micro":200000000,"auto_bid":false,"target_bid":false,"bid_strategy":"LOWEST_COST_WITH_MAX_BID","daily_budget_micro":2000000000,"start_time":"2021-08-15T19:16:17.444Z","end_time":"2021-08-19T19:16:17.444Z","optimization_goal":"APP_INSTALLS","event_sources":{"MOBILE_APP":["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]},"skadnetwork_properties":{"enroll_action":"OPT_OUT"}}]}'
https://adsapi.snapchat.com/v1/campaigns/46fb184a-d371-49f0-8384-ea533cef217a/adsquads
By updating the Ad Squad and including the attribute enroll_action with the value OPT_OUT the Ad Squad will be withdrawn from SKAdnetwork tracking.
skadnetwork_properties":{"enroll_action":"OPT_OUT"}}]}
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "6006dd1400ff04d29d47769a7c0001737e616473617069736300016275696c642d34343839623532342d312d3431342d3000010141",
"adsquads": [
{
"sub_request_status": "SUCCESS",
"adsquad": {
"id": "1b99bd80-5279-41c1-9d8d-e28875d7e7dd",
"updated_at": "2021-01-19T13:22:29.264Z",
"created_at": "2021-01-15T13:46:43.768Z",
"created_by_app_id": "ff503f30-8e94-450b-abac-18e3e25a8da1",
"created_by_user": "82beca53-2402-45f6-bc0f-1244a2cb8936",
"name": "SKAdNetwork Example - Opt out",
"status": "ACTIVE",
"campaign_id": "46fb184a-d371-49f0-8384-ea533cef217a",
"type": "SNAP_ADS",
"targeting": {
"regulated_content": false,
"demographics": [
{
"min_age": "21",
"max_age": "24"
}
],
"geos": [
{
"country_code": "us"
}
],
"devices": [
{
"os_type": "iOS",
"os_version_min": "11.3"
}
]
},
"targeting_reach_status": "VALID",
"placement_v2": {
"config": "AUTOMATIC"
},
"billing_event": "IMPRESSION",
"bid_micro": 200000000,
"auto_bid": false,
"target_bid": false,
"bid_strategy": "LOWEST_COST_WITH_MAX_BID",
"daily_budget_micro": 2000000000,
"start_time": "2021-08-15T19:16:17.444Z",
"end_time": "2021-08-19T19:16:17.444Z",
"optimization_goal": "APP_INSTALLS",
"event_sources": {
"MOBILE_APP": ["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]
},
"delivery_constraint": "DAILY_BUDGET",
"pacing_type": "STANDARD",
"creation_state": "PUBLISHED",
"delivery_status": [
"INVALID_START_TIME",
"INVALID_NOT_EFFECTIVE_ACTIVE",
"INVALID_EFFECTIVE_INVALID"
],
"skadnetwork_properties": {
"status": "WITHDRAWN"
}
}
}
]
}
SKAdnetwork example 3
SKAdNetwork enrollement at Ad Squad creation including SKOverlay
Example - Creating an Ad Squad opted in to the SKAdnetwork tracking and SKOverlay (App Install Snap Ads/Story Ads)
curl -X POST \
-d '{"adsquads":[{"name":"SKAdNetwork Example - Creation Opt in with SKOverlay enabled","status":"ACTIVE","campaign_id":"46fb184a-d371-49f0-8384-ea533cef217a","bid_micro":"200000000","bid_strategy":"LOWEST_COST_WITH_MAX_BID","daily_budget_micro":"2000000000","start_time":"2021-08-15T12:16:17.444-07:00","end_time":"2021-08-19T12:16:17.444-07:00","optimization_goal":"APP_INSTALLS","event_sources":{"MOBILE_APP":["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]},"skadnetwork_properties":{"enroll_action":"OPT_IN", "enable_skoverlay": true},"placement_v2":{"config":"AUTOMATIC"},"targeting":{"regulated_content":"false","demographics":[{"min_age":"21","max_age":"24"}],"geos":[{"country_code":"us"}],"devices":[{"os_type":"iOS"},"os_version_min":"11.3"]}}]}' \
-H "Content-Type: application/json" \
-H "Authorization: Bearer meowmeowmeow" \
https://adsapi.snapchat.com/v1/campaigns/46fb184a-d371-49f0-8384-ea533cef217a/adsquads
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "6006dd1400ff04d29d47769a7c0001737e616473617069736300016275696c642d34343839623532342d312d3431342d3000010141",
"adsquads": [
{
"sub_request_status": "SUCCESS",
"adsquad": {
"id": "7b99bd80-5279-41c1-9d8d-e28875d7e7dd",
"updated_at": "2021-01-19T13:22:29.264Z",
"created_at": "2021-01-15T13:46:43.768Z",
"name": "SKAdNetwork Example - Creation Opt in with SKOverlay enabled",
"status": "ACTIVE",
"campaign_id": "46fb184a-d371-49f0-8384-ea533cef217a",
"type": "SNAP_ADS",
"targeting": {
"regulated_content": false,
"demographics": [
{
"min_age": "21",
"max_age": "24"
}
],
"geos": [
{
"country_code": "us"
}
],
"devices": [
{
"os_type": "iOS",
"os_version_min": "11.3"
}
]
},
"targeting_reach_status": "VALID",
"placement_v2": {
"config": "AUTOMATIC"
},
"billing_event": "IMPRESSION",
"bid_micro": 200000000,
"auto_bid": false,
"target_bid": false,
"bid_strategy": "LOWEST_COST_WITH_MAX_BID",
"daily_budget_micro": 2000000000,
"start_time": "2021-08-15T19:16:17.444Z",
"end_time": "2021-08-19T19:16:17.444Z",
"optimization_goal": "APP_INSTALLS",
"event_sources": {
"MOBILE_APP": ["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]
},
"delivery_constraint": "DAILY_BUDGET",
"pacing_type": "STANDARD",
"creation_state": "PUBLISHED",
"delivery_status": [
"INVALID_START_TIME",
"INVALID_NOT_EFFECTIVE_ACTIVE",
"INVALID_EFFECTIVE_INVALID"
],
"skadnetwork_properties": {
"status": "ENROLLED",
"enable_skoverlay": true
}
}
}
]
}
By creating an Ad Squad and including the attribute enroll_action with the value OPT_IN the Ad Squad will be enrolled into SKAdnetwork tracking, this this assumes an Apple Campaign ID is available. This Ad Squad also makes use of the SKOverlay which assumes the Creative and Ad used will be an App Install Creative where the SKOverlay also is enabled.
"skadnetwork_properties":{"enroll_action":"OPT_IN"}}]},
"enable_skoverlay": true
SKAdnetwork example 4
SKAdNetwork enrollement at Ad Squad creation
Example - Creating an Ad Squad opted in to SKAdnetwork tracking only (Deep Link Ad, Collection Ad, Remote webpage Ad, Lens Ad)
curl -X POST \
-d '{"adsquads":[{"name":"SKAdNetwork Example - Creation Opt in","status":"ACTIVE","campaign_id":"91fb184a-d371-49f0-8384-ea533cef217a","bid_micro":"200000000","bid_strategy":"LOWEST_COST_WITH_MAX_BID","daily_budget_micro":"3000000000","start_time":"2023-08-15T12:16:17.444-07:00","end_time":"2023-08-19T12:16:17.444-07:00","optimization_goal":"USES","event_sources":{"MOBILE_APP":["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]},"skadnetwork_properties":{"enroll_action":"OPT_IN"},"placement_v2":{"config":"AUTOMATIC"},"targeting":{"regulated_content":"false","demographics":[{"min_age":"18","max_age":"30"}],"geos":[{"country_code":"us"}],"devices":[{"os_type":"iOS"},"os_version_min":"11.3"]}}]}' \
-H "Content-Type: application/json" \
-H "Authorization: Bearer meowmeowmeow" \
https://adsapi.snapchat.com/v1/campaigns/46fb184a-d371-49f0-8384-ea533cef217a/adsquads
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "6006dd1400ff04d29d47769a7c0001737e616473617069736300016275696c642d34343839623532342d312d3431342d3000010141",
"adsquads": [
{
"sub_request_status": "SUCCESS",
"adsquad": {
"id": "7b99bd80-5279-41c1-9d8d-e28875d7e7dd",
"updated_at": "2023-01-19T13:22:29.264Z",
"created_at": "2023-01-15T13:46:43.768Z",
"name": "SKAdNetwork Example - Creation Opt in",
"status": "ACTIVE",
"campaign_id": "91fb184a-d371-49f0-8384-ea533cef217a",
"type": "LENS",
"targeting": {
"regulated_content": false,
"demographics": [
{
"min_age": "18",
"max_age": "30"
}
],
"geos": [
{
"country_code": "us"
}
],
"devices": [
{
"os_type": "iOS",
"os_version_min": "11.3"
}
]
},
"targeting_reach_status": "VALID",
"placement_v2": {
"config": "AUTOMATIC"
},
"billing_event": "IMPRESSION",
"bid_micro": 300000000,
"auto_bid": false,
"target_bid": false,
"bid_strategy": "LOWEST_COST_WITH_MAX_BID",
"daily_budget_micro": 3000000000,
"start_time": "2023-08-15T19:16:17.444Z",
"end_time": "2023-08-19T19:16:17.444Z",
"optimization_goal": "USES",
"event_sources": {
"MOBILE_APP": ["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]
},
"delivery_constraint": "DAILY_BUDGET",
"pacing_type": "STANDARD",
"creation_state": "PUBLISHED",
"delivery_status": [
"INVALID_START_TIME",
"INVALID_NOT_EFFECTIVE_ACTIVE",
"INVALID_EFFECTIVE_INVALID"
],
"skadnetwork_properties": {
"status": "ENROLLED"
}
}
}
]
}
By creating an Ad Squad and including the attribute enroll_action with the value OPT_IN the Ad Squad will be enrolled into SKAdnetwork tracking, but this assumes an Apple Campaign ID is available.
skadnetwork_properties":{"enroll_action":"OPT_IN"}}]}
SKAdnetwork example 5
SKAdNetwork detaching an Apple Campaign ID
Example - detaching an Apple Campaign ID (ecid)
curl -X PUT \
-H "Authorization: Bearer meowmeowmeow" \
-H "Content-Type: application/json" \
-d '{"adsquads":[{"id":"1b99bd80-5279-41c1-9d8d-e28875d7e7dd","name":"SKAdNetwork Example - ECID Detach","status":"PAUSED","campaign_id":"46fb184a-d371-49f0-8384-ea533cef217a","type":"SNAP_ADS","targeting":{"regulated_content":false,"demographics":[{"min_age":"21","max_age":"24"}],"geos":[{"country_code":"us"}],"devices":[{"os_type":"iOS","os_version_min":"11.3"}]},"targeting_reach_status":"VALID","placement_v2":{"config":"AUTOMATIC"},"billing_event":"IMPRESSION","bid_micro":200000000,"auto_bid":false,"target_bid":false,"bid_strategy":"LOWEST_COST_WITH_MAX_BID","daily_budget_micro":2000000000,"start_time":"2021-08-15T19:16:17.444Z","end_time":"2021-08-19T19:16:17.444Z","optimization_goal":"APP_INSTALLS","event_sources":{"MOBILE_APP":["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]},"skadnetwork_properties":{"ecid_enroll_action":"DETACH"}}]}'
https://adsapi.snapchat.com/v1/campaigns/46fb184a-d371-49f0-8384-ea533cef217a/adsquads
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "6006dd1400ff04d29d47769a7c0001737e616473617069736300016275696c642d34343839623532342d312d3431342d3000010141",
"adsquads": [
{
"sub_request_status": "SUCCESS",
"adsquad": {
"id": "1b99bd80-5279-41c1-9d8d-e28875d7e7dd",
"updated_at": "2021-01-19T13:22:29.264Z",
"created_at": "2021-01-15T13:46:43.768Z",
"name": "SKAdNetwork Example - ECID Detach",
"status": "ACTIVE",
"campaign_id": "46fb184a-d371-49f0-8384-ea533cef217a",
"type": "SNAP_ADS",
"targeting": {
"regulated_content": false,
"demographics": [
{
"min_age": "21",
"max_age": "24"
}
],
"geos": [
{
"country_code": "us"
}
],
"devices": [
{
"os_type": "iOS",
"os_version_min": "11.3"
}
]
},
"targeting_reach_status": "VALID",
"placement_v2": {
"config": "AUTOMATIC"
},
"billing_event": "IMPRESSION",
"bid_micro": 200000000,
"auto_bid": false,
"target_bid": false,
"bid_strategy": "LOWEST_COST_WITH_MAX_BID",
"daily_budget_micro": 2000000000,
"start_time": "2021-08-15T19:16:17.444Z",
"end_time": "2021-08-19T19:16:17.444Z",
"optimization_goal": "APP_INSTALLS",
"event_sources": {
"MOBILE_APP": ["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]
},
"delivery_constraint": "DAILY_BUDGET",
"pacing_type": "STANDARD",
"creation_state": "PUBLISHED",
"delivery_status": [
"INVALID_START_TIME",
"INVALID_NOT_EFFECTIVE_ACTIVE",
"INVALID_EFFECTIVE_INVALID"
],
"skadnetwork_properties": {
"status": "ENROLLED",
"ecid_enrollment_status": "DETACHED"
}
}
}
]
}
To detach an Apple Campaign ID from an Opted-in Ad Squad in order to free it up for use elsewhere you will need to detach the Apple Campaign ID and pause the Ad Squad in question.
You can detach the Campaign ID via ecid_enroll_action and so withdraw the Ad Squad from SKAd tracking, it's possible to set the Ad Squad to paused and to detach the Campaign ID with the same API request. Note that it's not possible to set an Ad Squad live once the Apple Campaign ID has been detached.
“skadnetwork_properties”:{“ecid_enroll_action”:”DETACH”}
SKAdnetwork example 6
SKAdNetwork re-attaching an Apple Campaign ID
Example - Re-attaching an Apple Campaign ID (ecid)
curl -X PUT \
-H "Authorization: Bearer meowmeowmeow" \
-H "Content-Type: application/json" \
-d '{"adsquads":[{"id":"1b99bd80-5279-41c1-9d8d-e28875d7e7dd","name":"SKAdNetwork Example - ECID attach","status":"ACTIVE","campaign_id":"46fb184a-d371-49f0-8384-ea533cef217a","type":"SNAP_ADS","targeting":{"regulated_content":false,"demographics":[{"min_age":"21","max_age":"24"}],"geos":[{"country_code":"us"}],"devices":[{"os_type":"iOS","os_version_min":"11.3"}]},"targeting_reach_status":"VALID","placement_v2":{"config":"AUTOMATIC"},"billing_event":"IMPRESSION","bid_micro":200000000,"auto_bid":false,"target_bid":false,"bid_strategy":"LOWEST_COST_WITH_MAX_BID","daily_budget_micro":2000000000,"start_time":"2021-08-15T19:16:17.444Z","end_time":"2021-08-19T19:16:17.444Z","optimization_goal":"APP_INSTALLS","event_sources":{"MOBILE_APP":["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]},"skadnetwork_properties":{"ecid_enroll_action":"ATTACH"}}]}'
https://adsapi.snapchat.com/v1/campaigns/46fb184a-d371-49f0-8384-ea533cef217a/adsquads
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "6006dd1400ff04d29d47769a7c0001737e616473617069736300016275696c642d34343839623532342d312d3431342d3000010141",
"adsquads": [
{
"sub_request_status": "SUCCESS",
"adsquad": {
"id": "1b99bd80-5279-41c1-9d8d-e28875d7e7dd",
"updated_at": "2021-01-19T13:22:29.264Z",
"created_at": "2021-01-15T13:46:43.768Z",
"name": "SKAdNetwork Example - ECID attach",
"status": "ACTIVE",
"campaign_id": "46fb184a-d371-49f0-8384-ea533cef217a",
"type": "SNAP_ADS",
"targeting": {
"regulated_content": false,
"demographics": [
{
"min_age": "21",
"max_age": "24"
}
],
"geos": [
{
"country_code": "us"
}
],
"devices": [
{
"os_type": "iOS",
"os_version_min": "11.3"
}
]
},
"targeting_reach_status": "VALID",
"placement_v2": {
"config": "AUTOMATIC"
},
"billing_event": "IMPRESSION",
"bid_micro": 200000000,
"auto_bid": false,
"target_bid": false,
"bid_strategy": "LOWEST_COST_WITH_MAX_BID",
"daily_budget_micro": 2000000000,
"start_time": "2021-08-15T19:16:17.444Z",
"end_time": "2021-08-19T19:16:17.444Z",
"optimization_goal": "APP_INSTALLS",
"event_sources": {
"MOBILE_APP": ["fb5b83ec-c593-4a64-9c6d-a0eb9da0edba"]
},
"delivery_constraint": "DAILY_BUDGET",
"pacing_type": "STANDARD",
"creation_state": "PUBLISHED",
"delivery_status": [
"INVALID_START_TIME",
"INVALID_NOT_EFFECTIVE_ACTIVE",
"INVALID_EFFECTIVE_INVALID"
],
"skadnetwork_properties": {
"status": "ENROLLED",
"ecid_enrollment_status": "ATTACHED"
}
}
}
]
}
To re-enable a withdrawn Ad Squad into SKAdnetwork tracking again you need to attach a free Apple Campaign ID (ecid) to the Ad Squad.
The two methods SKAdNetwork Campaign ID check and SKAdNetwork AdSquad ecid status check will allow you to find out if a Campaign ID is available, or if you need to free one up by detaching it from an AdSquad.
Once you have a free Campaign ID you can attach it by updating the Ad Squad using the ecid_enroll_action
“skadnetwork_properties”:{“ecid_enroll_action”:”ATTACH”}
Bid Strategy
On the 20th of March 2020 we announced the deprecation of the attributes auto_bid and target_bid, please ensure that you have switched to using only bid_strategy by the 20th of June 2020. Creation of AdSquads and updating of AdSquads should only use the bid_strategy attribute.
The API will return the attributes auto_bid/target_bid when requesting the AdSquad entity but these attributes should be stripped out for any update AdSquad requests you make or the API will reject your requests come the 20th June 2020.
The below table outlines the relationship between the old bid settings and bid_strategy.
| auto_bid | target_bid | bid_micro | bid_strategy |
|---|---|---|---|
| true | false | ----- | AUTO_BID |
| false | false | used for bid | LOWEST_COST_WITH_MAX_BID |
| false | true | used for bid | TARGET_COST |
The bid_strategy attribute defines the bid strategy used for the Ad Squad, bid_strategy is an enumeration field which should be set to the bidding strategy of your choice, given the below options.
| bid_strategy | Description | Additional Settings |
|---|---|---|
| AUTO_BID | Drive the most efficient cost per action while spending your budget | ----- |
| LOWEST_COST_WITH_MAX_BID | Bids conservatively at or below your desired bid | use bid_micro to set bid |
| MIN_ROAS** | Achieves the most purchase value while maintaining a minimum return on your ad spend, this strategy requires that that APP_PURCHASE event along with the price parameter has been implemented | use roas_value_micro to set minimum ROAS in micro currency, one full unit of a currency in roas_value_micro represents a ROAS of 1, roas_value_micro value can be set between 10000 and a maximum of 100000000. |
| TARGET_COST | Achieves the most volume while aiming to keep your average cost per action below your target cost | use bid_micro to set bid |
** The MIN_ROAS bid strategy and roas_value_micro were deprecated 10 February 2025
Bid Strategy to Optimization Goal mapping
| bid_strategy | Optimization goals |
|---|---|
| AUTO_BID | APP_INSTALLS, IMPRESSIONS, STORY_OPENS, SWIPES, USES, VIDEO_VIEWS, VIDEO_VIEWS_15_SEC, PIXEL_PURCHASE, PIXEL_SIGNUP, PIXEL_PAGE_VIEW, PIXEL_ADD_TO_CART, APP_PURCHASE, APP_SIGNUP, APP_ADD_TO_CART, APP_REENGAGE_PURCHASE, APP_REENGAGE_OPEN, LANDING_PAGE_VIEW |
| LOWEST_COST_WITH_MAX_BID | No restrictions |
| TARGET_COST | APP_INSTALLS, SWIPES, USES, VIDEO_VIEWS_15_SEC, PIXEL_PURCHASE, PIXEL_SIGNUP, PIXEL_PAGE_VIEW, PIXEL_ADD_TO_CART, APP_PURCHASE, APP_SIGNUP, APP_ADD_TO_CART, APP_REENGAGE_PURCHASE, APP_REENGAGE_OPEN, STORY_OPENS, LANDING_PAGE_VIEW |
Example - bid_strategy
Example request setting
bid_strategyandbid_micro
curl -X PUT \
-H "Authorization: Bearer meowmeowmeow" \
-H "Content-Type: application/json" \
-d '{"adsquads":[{"id": "9077bb86-fb9a-4ded-9da9-67bc2e1dd6c5","name": "Badger Supplies Ad Squad - event sources","status": "ACTIVE","campaign_id": "4813d068-370b-45f6-a8d6-e01de878f1b5","type": "SNAP_ADS","targeting": {"regulated_content": false,"geos": [{"country_code": "uk"}],"devices": [{"os_type": "ANDROID"}],"auto_expansion_options":{"interest_expansion_option":{"enabled": true},"custom_audience_expansion_option":{"enabled": true}}},"placement_v2": {"config": "AUTOMATIC"},"bid_micro": 1000000,"bid_strategy": "TARGET_COST","daily_budget_micro": 50000000,"start_time": "2021-01-30T23:43:45.000Z","end_time": "2021-02-08T07:59:59.000Z","optimization_goal": "APP_INSTALLS","event_sources": {"MOBILE_APP": ["9b5b83ec-c593-4a64-9c6d-a0eb9da0edb9"]}}]}'
https://adsapi.snapchat.com/v1/campaigns/4813d068-370b-45f6-a8d6-e01de878f1b5/adsquads
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "60118f4f00ff026a940c321500ff0001737e616473617069736300016275696c642d65386534326330362d312d3431372d3000010143",
"adsquads": [
{
"sub_request_status": "SUCCESS",
"adsquad": {
"id": "9077bb86-fb9a-4ded-9da9-67bc2e1dd6c5",
"updated_at": "2021-01-27T16:05:35.770Z",
"created_at": "2021-01-27T16:03:14.293Z",
"name": "Badger Supplies Ad Squad - event sources",
"status": "ACTIVE",
"campaign_id": "4813d068-370b-45f6-a8d6-e01de878f1b5",
"type": "SNAP_ADS",
"targeting": {
"regulated_content": false,
"geos": [
{
"country_code": "uk"
}
],
"devices": [
{
"os_type": "ANDROID"
}
],
"auto_expansion_options": {
"interest_expansion_option": {
"enabled": true
},
"custom_audience_expansion_option": {
"enabled": true
}
}
},
"targeting_reach_status": "VALID",
"placement_v2": {
"config": "AUTOMATIC"
},
"billing_event": "IMPRESSION",
"bid_micro": 1000000,
"auto_bid": false,
"target_bid": true,
"bid_strategy": "TARGET_COST",
"daily_budget_micro": 50000000,
"start_time": "2021-01-30T23:43:45.000Z",
"end_time": "2021-02-08T07:59:59.000Z",
"optimization_goal": "APP_INSTALLS",
"event_sources": {
"MOBILE_APP": ["9b5b83ec-c593-4a64-9c6d-a0eb9da0edb9"]
},
"delivery_constraint": "DAILY_BUDGET",
"pacing_type": "STANDARD",
"creation_state": "PUBLISHED"
}
}
]
}
MIN_ROAS examples
The minimum ROAS (MIN_ROAS) bid strategy was deprecated on the 10 February 2025, this section is preserved purely for informational purposes and may be removed in the future.
The minimum ROAS (MIN_ROAS) bid strategy allowed advertisers to define their desired ROAS in relation to the currency they are using within that Ad Account entity.
MIN_ROAS assumes the advertiser has implemented the in-app event APP_PURCHASE with the price parameter via their MMP.
The roas_value_micro is used to define the expected ROAS and is defined in micro currency
Examples using "bid_strategy":"MIN_ROAS";
- A
roas_value_micro1000000 in an Ad Account using the currency USD, optimizes to deliver $1 for every $1 in spend. - A
roas_value_micro500000 in an Ad Account using the currency GBP, optimizes to deliver £0.50 for every £1 in spend. - A
roas_value_micro1500000 in an Ad Account using the currency EUR, optimizes to deliver €1.50 for every €1 in spend.
Bid Recommendation
The Bid Recommendation endpoint provides a recommended bid range when using the TARGET_COST bid strategy.
HTTP Request
GET https://adsapi.snapchat.com/v1/adaccounts/{{ad_account_id}}/spend_guidance/?signal_type=PIXEL&signal_id={pixel_id}&optimization_goal={optimization_goal}
Request Parameters
| Attribute | Description | Required | Possible Values |
|---|---|---|---|
| signal_type | Currently the only option available is PIXEL | R | PIXEL |
| signal_id | This is the id value for the signal type | R | |
| optimization_goal | R | PIXEL_PURCHASE, PIXEL_ADD_TO_CART, PIXEL_PAGE_VIEW, PIXEL_SIGNUP, LANDING_PAGE_VIEW, SWIPES, STORY_OPENS | |
| conversion_window | Can be used to surface recommendations for a specific conversion_window, if this parameter is not used the request will return all valid conversion windows | O | SWIPE_28DAY_VIEW_1DAY, SWIPE_7DAY |
Example 1 - Bid Recommendation PIXEL_PURCHASE
A request using the PIXEL_PURCHASE optimization_goal, no conversion_window is specified so recommendations for all conversion windows are returned.
curl "https://adsapi.snapchat.com/v1/adaccounts/82225ba6-7559-4000-9663-bace8adff5f8/spend_guidance/?signal_type=PIXEL&signal_id=8eda10b7-a5fe-4ac6-80f4-417e68d748fb&optimization_goal=PIXEL_PURCHASE" \
-H "Authorization: Bearer meowmeowmeow"
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "c9a2a25e-5543-4cef-af88-47cc301d43d5",
"spend_guidance": [
{
"sub_request_status": "SUCCESS",
"spend_guidance": {
"guidance_id": "398095de-885e-48ea-8e34-11e19d6e86f8",
"guidance": {
"bid_strategy": "TARGET_COST",
"default_bid_amount_micros": 36730000,
"min_suggested_bid_amount_micros": 28250000,
"max_suggested_bid_amount_micros": 36730000,
"default_daily_budget_micros": 565000000
},
"dimensions": {
"signal_type": "PIXEL",
"signal_id": "8eda10b7-a5fe-4ac6-80f4-417e68d748fb",
"optimization_goal": "PIXEL_PURCHASE",
"conversion_window": "SWIPE_7DAY",
"objective_v2": "SALES"
}
}
},
{
"sub_request_status": "SUCCESS",
"spend_guidance": {
"guidance_id": "398095de-885e-48ea-8e34-11e19d6e86f8",
"guidance": {
"bid_strategy": "TARGET_COST",
"default_bid_amount_micros": 6500000,
"min_suggested_bid_amount_micros": 5000000,
"max_suggested_bid_amount_micros": 6500000,
"default_daily_budget_micros": 91000000
},
"dimensions": {
"signal_type": "PIXEL",
"signal_id": "8eda10b7-a5fe-4ac6-80f4-417e68d748fb",
"optimization_goal": "PIXEL_PURCHASE",
"conversion_window": "SWIPE_28DAY_VIEW_1DAY",
"objective_v2": "SALES"
}
}
}
]
}
Example 2 - Bid Recommendation PIXEL_ADD_TO_CART
A request using the PIXEL_ADD_TO_CART optimization_goal and the conversion_window SWIPE_7DAY.
curl "https://adsapi.snapchat.com/v1/adaccounts/897979f0-ed17-4971-8288-054883f1cbca/spend_guidance/?signal_type=PIXEL&signal_id=5002a7fc-70d2-4258-b9e2-ae28fec318c6&conversion_window=SWIPE_7DAY&optimization_goal=PIXEL_ADD_TO_CART" \
-H "Authorization: Bearer meowmeowmeow"
The above command returns JSON structured like this:
{
"request_status": "SUCCESS",
"request_id": "b109bc6d-f249-4330-84d4-73afbfe65c5c",
"spend_guidance": [
{
"sub_request_status": "SUCCESS",
"spend_guidance": {
"guidance_id": "6e631e70-8a1f-47b2-ae89-22af3d329c11",
"guidance": {
"bid_strategy": "TARGET_COST",
"default_bid_amount_micros": 41100000,
"min_suggested_bid_amount_micros": 31620000,
"max_suggested_bid_amount_micros": 41100000,
"default_daily_budget_micros": 158000000
},
"dimensions": {
"signal_type": "PIXEL",
"signal_id": "5002a7fc-70d2-4258-b9e2-ae28fec318c6",
"optimization_goal": "PIXEL_ADD_TO_CART",
"conversion_window": "SWIPE_7DAY",
"objective_v2": "SALES"
}
}
}
]
}
Placement V2
Starting February 15, 2027, we are consolidating the placement_v2 snapchat positions INTERSTITIAL_CONTENT and INTERSTITIAL_SPOTLIGHT values into a single value, INTERSTITIAL_CONTENT, representing the combined Publisher & Creator Stories & Spotlight placement.
-
INTERSTITIAL_CONTENTwill represent the new consolidated placement, this placement will be named "Public Content" in Snap Ads Manager. This placement combines Publisher & Creator Stories and Spotlight inventory. -
Starting February 15, 2027, any newly created Ad Squads using the
INTERSTITIAL_SPOTLIGHTvalue will be automatically mapped toINTERSTITIAL_CONTENTand return a warning thatINTERSTITIAL_SPOTLIGHThas been deprecated. -
Existing Ad Squads using both
INTERSTITIAL_CONTENTandINTERSTITIAL_SPOTLIGHTwill automatically remain opted into the new consolidated placement, and their campaigns will continue delivering without interruption. -
Existing Ad Squads using only one of these placements (
INTERSTITIAL_CONTENTORINTERSTITIAL_SPOTLIGHT) will not automatically be opted into the new consolidated placement. As a result, they will not deliver ads to the consolidated placement unless explicitly migrated. If either was the Ad Squad's only selected placement, the Ad Squad will stop delivering ads entirely until its placement settings are updated. -
The position
INTERSTITIAL_USERwill remain unchanged.
If your application uses the INTERSTITIAL_SPOTLIGHT you should take these two actions by February 15, 2027
-
Please remove the
INTERSTITIAL_SPOTLIGHTplacement option from your application by February 15, 2027. -
You may want to rename the
INTERSTITIAL_CONTENTplacement by February 15, 2027 to reflect that it represents the combined Publisher & Creator Stories & Spotlight placement.
placement / placement_v2
The below table outlines the relationship between placement and placement_v2.
| placement | placement_v2 - snapchat_positions |
|---|---|
| SNAP_ADS | INTERSTITIAL_USER, INTERSTITIAL_CONTENT, INTERSTITIAL_SPOTLIGHT, INSTREAM |
| USER_STORIES | INTERSTITIAL_USER |
| CONTENT | INSTREAM |
| DISCOVER_FEED | FEED |
| CAMERA | CAMERA |
Placement V2 Specification
| Attribute | Description | Required | Possible Values |
|---|---|---|---|
| config | Configuration for placement | R | AUTOMATIC, CUSTOM |
| platforms | The platform to place the ads | O | SNAPCHAT |
| snapchat_positions | List of possible placement positions | INTERSTITIAL_USER, INTERSTITIAL_CONTENT, INTERSTITIAL_SPOTLIGHT, INSTREAM, PUBLIC_STORIES_INSTREAM, CHAT_FEED, FEED, CAMERA | |
| inclusion | Details about the content types to be included | O | {"content_types": [List of possible content types]} Ad Squad must be of type SNAP_ADS. snapchat_positions must include INSTREAM. Inclusion and exclusion content types must be mutually exclusive NEWS, ENTERTAINMENT, SCIENCE_TECHNOLOGY, BEAUTY_FASHION, MENS_LIFESTYLE, WOMENS_LIFESTYLE, GAMING, GENERAL_LIFESTYLE, FOOD, SPORTS, YOUNG_BOLD |
| exclusion | Details about the content types to be included | O | {"content_types": [List of possible content types]}. Ad Squad must be of type SNAP_ADS. snapchat_positions must include INSTREAM. Inclusion and exclusion content types must be mutually exclusive NEWS, ENTERTAINMENT, SCIENCE_TECHNOLOGY, BEAUTY_FASHION, MENS_LIFESTYLE, WOMENS_LIFESTYLE, GAMING, GENERAL_LIFESTYLE, FOOD, SPORTS, YOUNG_BOLD |
Placement v2 gives advertisers more options and control over the location and context of where ads are placed, and includes all the advanced placement options that Snapchat has to offer. The inclusion and exclusion attributes within placement_v2 replaces the previously used included_content_types and included_content_types attributes which were defined at Ad Squad level.
config
| Value | Description |
|---|---|
| AUTOMATIC | Snapchat will choose the optimal placement for your ad across all of Snapchat, none of the other properties in placement_v2 can be provided |
| CUSTOM | Advertiser will chose all the settings for the placement. platforms must contain a value and snapchat_positions must not be empty |
snapchat_positions
| Position | Description |
|---|---|
| INTERSTITIAL_USER | Ads run between friends stories. |
| INTERSTITIAL_CONTENT* | Ads run before and after publisher stories. |
| INTERSTITIAL_SPOTLIGHT** | Ads run before and after public Snaps from the community. |
| INSTREAM | Ads run inside i.e. in between stories in publisher and our stories. |
| PUBLIC_STORIES_INSTREAM | Ads run within public stories. |
| CHAT_FEED*** | Ads run in the Chat tab |
| FEED | Story Ads run alongside Publisher and Creator content in the Stories tab. |
| CAMERA | Ads run in the pre-capture Lens carousel. |
| POST_CAPTURE_CAROUSEL**** | Ads run in the post-capture Lens carousel. |
snapchat_positions Ad Squad type / Ad type
This table outlines the Ad Squad and Ad availability per placement position.
| Position | Ad Squad Type | Ad Type |
|---|---|---|
| INTERSTITIAL_USER | SNAP_ADS | SNAP_AD, AD_TO_CALL, AD_TO_LENS, AD_TO_MESSAGE, APP_INSTALL, COLLECTION, DEEP_LINK, LEAD_GENERATION, REMINDER, REMOTE_WEBPAGE, STORY* |
| INTERSTITIAL_CONTENT | SNAP_ADS | SNAP_AD, AD_TO_CALL, AD_TO_LENS, AD_TO_MESSAGE, APP_INSTALL, COLLECTION, DEEP_LINK, LEAD_GENERATION, REMINDER, REMOTE_WEBPAGE, STORY* |
| INTERSTITIAL_SPOTLIGHT*** | SNAP_ADS | SNAP_AD, AD_TO_CALL, AD_TO_LENS, AD_TO_MESSAGE, APP_INSTALL, COLLECTION, DEEP_LINK, LEAD_GENERATION, REMINDER, REMOTE_WEBPAGE, STORY* |
| INSTREAM_SPOTLIGHT | SNAP_ADS | SNAP_AD, AD_TO_CALL, AD_TO_LENS, AD_TO_MESSAGE, APP_INSTALL, COLLECTION, DEEP_LINK, LEAD_GENERATION, REMINDER, REMOTE_WEBPAGE, STORY* |
| INSTREAM | SNAP_ADS | AD_TO_CALL, AD_TO_LENS, AD_TO_MESSAGE, APP_INSTALL, COLLECTION, DEEP_LINK, LEAD_GENERATION, REMOTE_WEBPAGE, SNAP_AD, STORY |
| PUBLIC_STORIES_INSTREAM | SNAP_ADS | AD_TO_CALL, AD_TO_LENS, AD_TO_MESSAGE, APP_INSTALL, COLLECTION, DEEP_LINK, LEAD_GENERATION, REMOTE_WEBPAGE, SNAP_AD, STORY |
| CHAT_FEED | SNAP_ADS | APP_INSTALL, DEEP_LINK, REMOTE_WEBPAGE, STORY* |
| FEED | SNAP_ADS | STORY** |
| CAMERA | LENS | LENS, LENS_WEB_VIEW, LENS_APP_INSTALL, LENS_DEEP_LINK |
| POST_CAPTURE_CAROUSEL | LENS | LENS, LENS_WEB_VIEW, LENS_APP_INSTALL, LENS_DEEP_LINK |
Example
{
"config": "CUSTOM",
"platforms": [
"SNAPCHAT",
],
"snapchat_positions": [
"INTERSTITIAL_USER",
"INSTREAM"
],
"inclusion": {
"content_types": [
"BEAUTY"
]
}
placement_v2 config Examples for different types of Ad Squads based on Ad type